// Oleg Petruny proprietary.

#pragma once

#include "CoreMinimal.h"
#include "InteractableActivator.h"

#include "RaycastInteractableActivator.generated.h"

UCLASS(Blueprintable, BlueprintType)
class URaycastInteractableActivator : public UInteractableActivator
{
    GENERATED_BODY()

public:
    URaycastInteractableActivator(const FObjectInitializer& ObjectInitializer);

protected:
    void Scan();
    virtual void Scan_Implementation() override;
};
